
package com.lideeyunji.tool.framework.yunji.params;

import java.util.List;
import java.util.Map;

public class lideeYunJiDictParam {

    //字典编码
    List<String> dictCodeList;

    private Map<String,DictCodeDataParam> paramMap;

    public static class DictCodeDataParam{

        //字段数据key
        List<String> dictDataLabelList;

        //字段数据value
        List<String> dictDataValueList;


        public List<String> getDictDataLabelList() {
            return dictDataLabelList;
        }

        public void setDictDataLabelList(List<String> dictDataLabelList) {
            this.dictDataLabelList = dictDataLabelList;
        }

        public List<String> getDictDataValueList() {
            return dictDataValueList;
        }

        public void setDictDataValueList(List<String> dictDataValueList) {
            this.dictDataValueList = dictDataValueList;
        }
    }

    public List<String> getDictCodeList() {
        return dictCodeList;
    }

    public void setDictCodeList(List<String> dictCodeList) {
        this.dictCodeList = dictCodeList;
    }

    public Map<String, DictCodeDataParam> getParamMap() {
        return paramMap;
    }

    public void setParamMap(Map<String, DictCodeDataParam> paramMap) {
        this.paramMap = paramMap;
    }
}
